// http://stackoverflow.com/questions/6240139/highlight-text-range-using-javascript
function getTextNodesIn(node) {
    var textNodes = [];
    if (node.nodeType == 3) {
        textNodes.push(node);
    } else {
        var children = node.childNodes;
        for (var i = 0, len = children.length; i < len; ++i) {
            textNodes.push.apply(textNodes, getTextNodesIn(children[i]));
        }
    }
    return textNodes;
}

function setSelectionRange(el, start, end) {
    if (document.createRange && window.getSelection) {
        // FF/Chrome
        var range = document.createRange();
        range.selectNodeContents(el);
        var textNodes = getTextNodesIn(el);
        var foundStart = false;
        var charCount = 0, endCharCount;

        for (var i = 0, textNode; textNode = textNodes[i++]; ) {
            endCharCount = charCount + textNode.length;
            if (!foundStart && start >= charCount && (start < endCharCount || (start == endCharCount && i < textNodes.length))) {
                range.setStart(textNode, start - charCount);
                foundStart = true;
            }
            if (foundStart && end <= endCharCount) {
                range.setEnd(textNode, end - charCount);
                break;
            }
            charCount = endCharCount;
        }

        var sel = window.getSelection();
        sel.removeAllRanges();
        sel.addRange(range);
    } else if (document.selection && document.body.createTextRange) {
        // IE?
        var textRange = document.body.createTextRange();
        textRange.moveToElementText(el);
        textRange.collapse(true);
        textRange.moveEnd("character", end);
        textRange.moveStart("character", start);
        textRange.select();
    }
}

function pass(element) {
    $(element).addClass('pass');
}

function fail(element) {
    $(element).addClass('fail');
}

function prettyDiff(ele1, ele2) {
    ele1 = style_html($(ele1).html());
    ele2 = style_html($(ele2).html());
    return diffstr(ele1, ele2);
}

function isDiff(ele1, ele2) {
    return $(prettyDiff(ele1, ele2)).find('.add, .del').length > 0;
}

function formatElement(element) {
    var html = style_html($(element).html());
    $(element).html(html);
}
